package kaysaar.aotd_question_of_loyalty.data.scripts.commision;

import com.fs.starfarer.api.Global;
import java.util.ArrayList;

public class FactionHatredManager
{
    public static String memKeyForFactions;
    public ArrayList<String> factionsThatHatePlayer;
    public int rebelions;
    public static int maxRebellions;
    
    public FactionHatredManager() {
        this.factionsThatHatePlayer = new ArrayList<String>();
        this.rebelions = 0;
    }
    
    public void addRebellionCount(final int rebellions) {
        this.rebelions += rebellions;
    }
    
    public int getRebellions() {
        return this.rebelions;
    }
    
    public static FactionHatredManager get() {
        if (Global.getSector().getMemory().get(FactionHatredManager.memKeyForFactions) == null) {
            final FactionHatredManager fhm = new FactionHatredManager();
            Global.getSector().getMemory().set(FactionHatredManager.memKeyForFactions, (Object)fhm);
        }
        return (FactionHatredManager)Global.getSector().getMemory().get(FactionHatredManager.memKeyForFactions);
    }
    
    public ArrayList<String> getFactionsThatHatePlayer() {
        return this.factionsThatHatePlayer;
    }
    
    public boolean doesFactionHatePlayer(final String factionID) {
        return this.factionsThatHatePlayer.contains(factionID) || this.rebelions >= FactionHatredManager.maxRebellions;
    }
    
    public void addFactionThatHatePlayer(final String factionID) {
        this.factionsThatHatePlayer.add(factionID);
    }
    
    static {
        FactionHatredManager.memKeyForFactions = "$aotd_faction_wont_comm";
        FactionHatredManager.maxRebellions = 2;
    }
}
